CommandLine.ParseResult.GroupMatchContainer (picocli 4.6.3 API)

picocli

## Class CommandLine.ParseResult.GroupMatchContainer

- java.lang.Object
- - picocli.CommandLine.ParseResult.GroupMatchContainer

- Enclosing class:
    CommandLine.ParseResult

      public static class CommandLine.ParseResult.GroupMatchContainer
      extends Object

  Provides information about an `CommandLine.ArgGroup` that was matched on the command line.

  The `ParseResult` may have more than one `GroupMatchContainer` for an `ArgGroupSpec`, when the group was matched more often than its maximum multiplicity. This is not necessarily a problem: the parser will add a match to the parent matched group until the maximum multiplicity of the parent group is exceeded, in which case parser will add a match to the parent's parent group, etc.

  Ultimately, as long as the `CommandLine.ParseResult.getGroupMatches()` method does not return more than one match, the maximum number of elements is not exceeded.

  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandLine.Model.ArgGroupSpec` | `group()` Returns the `ArgGroupSpec` whose matches are captured in this `GroupMatchContainer`.
    `List<CommandLine.ParseResult.GroupMatch>` | `matches()` Returns the list of `GroupMatch` instances: `ArgGroupSpec`s with a multiplicity greater than one may be matched multiple times.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### group

          public CommandLine.Model.ArgGroupSpec group()

      Returns the `ArgGroupSpec` whose matches are captured in this `GroupMatchContainer`.

    - #### matches

          public List<CommandLine.ParseResult.GroupMatch> matches()

      Returns the list of `GroupMatch` instances: `ArgGroupSpec`s with a multiplicity greater than one may be matched multiple times.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`